# MatNullSpaceTest

Tests if the claimed null space is really a null space of a matrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatNullSpaceTest(MatNullSpace sp,Mat mat)

Collective on MatNullSpace

### Input Parameters

| sp | - the null space context
| mat | - the matrix

### Keywords

PC, null space, remove

### See Also

MatNullSpaceCreate(), MatNullSpaceDestroy(), MatNullSpaceSetFunction()

Level:advanced
Location: src/mat/interface/matnull.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages